#include <stdio.h> 

int main(){
  
  int n, jedinica, stotina, desetica, broj, min, rez=0;
  
  scanf("%d", &n);
  
  if(n<100 || n>999){
      printf("-1\n");
      return 0;
  }

  jedinica=n%10;
  desetica=(n%100)/10;
  stotina=n/100;
  
  /* racunamo prvo minimum cifara unetog broja */
  min=stotina;
  if(min>=desetica)
     min=desetica;
  if(min>=jedinica)
     min=jedinica;

  broj=min*100;
  
  if(min==stotina){
    if(desetica>=jedinica){
      rez=broj+(jedinica*10)+desetica;
      printf("%d\n", rez);
    }
    else{
      rez=broj+(desetica*10)+jedinica;
      printf("%d\n", rez);
    }
    return 0;
  }  

  if(min==desetica){
    if(stotina>=jedinica){
      rez=broj+(jedinica*10)+stotina;
      printf("%d\n", rez);
    }
    else{
      rez=broj+(stotina*10)+jedinica;
      printf("%d\n", rez);
    }
    return 0;
  }  
  
  if(min==jedinica){
    if(desetica>=stotina){
      rez=broj+(stotina*10)+desetica;
      printf("%d\n",rez);
    }
    else{
      rez=broj+(desetica*10)+stotina;
      printf("%d\n", rez);
    }
    return 0;
  }  
}